Bug 1252172 - [abrt] evolution-data-server: _gdata_service_actually_send_message(): evolution-addressbook-factory-subprocess killed by SIGABRT
[abrt] evolution-data-server: _gdata_service_actually_send_message(): evoluti...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4e54a331eb8e48280f727c932f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 17:27 EDT by Mikhail
Modified: 2015-09-09 06:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 06:54:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.20 KB, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: core_backtrace (15.90 KB, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: dso_list (19.13 KB, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: environ (1.01 KB, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: maps (88.72 KB, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: mountinfo (3.60 KB, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: open_fds (791 bytes, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-08-10 17:27 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-08-10 17:27:24 EDT
Version-Release number of selected component:
evolution-data-server-3.17.4-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory-subprocess --factory google --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx2651x3 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/AddressBook/2651/3
crash_function: _gdata_service_actually_send_message
executable:     /usr/libexec/evolution-addressbook-factory-subprocess
global_pid:     5326
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #4 _gdata_service_actually_send_message at gdata/gdata-service.c:688
 #5 _gdata_service_send_message at gdata/gdata-service.c:721
 #6 _gdata_service_query at gdata/gdata-service.c:939
 #7 __gdata_service_query at gdata/gdata-service.c:979
 #8 query_thread at gdata/gdata-service.c:816
 #9 run_in_thread at gsimpleasyncresult.c:898
 #10 io_job_thread at gioscheduler.c:85
 #11 g_task_thread_pool_thread at gtask.c:1283
 #13 g_thread_proxy at gthread.c:764
Comment 1 Mikhail 2015-08-10 17:27:28 EDT
Created attachment 1061253 [details]
File: backtrace
Comment 2 Mikhail 2015-08-10 17:27:30 EDT
Created attachment 1061254 [details]
File: cgroup
Comment 3 Mikhail 2015-08-10 17:27:31 EDT
Created attachment 1061255 [details]
File: core_backtrace
Comment 4 Mikhail 2015-08-10 17:27:33 EDT
Created attachment 1061256 [details]
File: dso_list
Comment 5 Mikhail 2015-08-10 17:27:34 EDT
Created attachment 1061257 [details]
File: environ
Comment 6 Mikhail 2015-08-10 17:27:36 EDT
Created attachment 1061258 [details]
File: limits
Comment 7 Mikhail 2015-08-10 17:27:38 EDT
Created attachment 1061259 [details]
File: maps
Comment 8 Mikhail 2015-08-10 17:27:40 EDT
Created attachment 1061260 [details]
File: mountinfo
Comment 9 Mikhail 2015-08-10 17:27:41 EDT
Created attachment 1061261 [details]
File: namespaces
Comment 10 Mikhail 2015-08-10 17:27:42 EDT
Created attachment 1061262 [details]
File: open_fds
Comment 11 Mikhail 2015-08-10 17:27:44 EDT
Created attachment 1061263 [details]
File: proc_pid_status
Comment 12 Milan Crha 2015-08-11 01:28:11 EDT
Thanks for a bug report. This looks like a crash deep in libgdata. Your version of it is libgdata-0.17.2-1.fc23.x86_64. I'm not sure how this works, I do not know libgdata internals, and I neither found any similar bug report upstream. The backtrace shows that this crashed due to:
   assertion failed: (message->status_code != SOUP_STATUS_NONE)

Philip, do you think it's an issue in evolution-data-server (like some sort of use-after-free), or this could happen for some other reason?
Comment 13 Philip Withnall 2015-09-09 06:54:39 EDT
(In reply to Milan Crha from comment #12)
> Philip, do you think it's an issue in evolution-data-server (like some sort
> of use-after-free), or this could happen for some other reason?

Very hard to tell. Since it’s an assertion failure I doubt it’s caused by memory corruption (I would expect that to cause a crash). I suspect it’s a race condition somewhere in libgdata or its use of libsoup — this area of code has changed a lot in libsoup recently, which means that libgdata is now using backwards-compatibility code in libsoup.

One thing which would provide more information is to reproduce this failure under valgrind’s helgrind or drd tools, which would highlight threading problems (much the same way memcheck highlights memory problems). But I doubt it’s reproducible.

Unless that’s possible, I think this will have to be closed as INSUFFICIENT_DATA, and let’s hope that it’s fixed by https://bugzilla.gnome.org/show_bug.cgi?id=754769.

Note You need to log in before you can comment on or make changes to this bug.